org.apache.hadoop.yarn.api.protocolrecords

## Class SubmitApplicationRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class SubmitApplicationRequest
      extends Object

  The request sent by a client to submit an application to the `ResourceManager`.

  The request, via `ApplicationSubmissionContext`, contains details such as queue, `Resource` required to run the `ApplicationMaster`, the equivalent of `ContainerLaunchContext` for launching the `ApplicationMaster` etc.

  See Also:
    `ApplicationClientProtocol.submitApplication(SubmitApplicationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubmitApplicationRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ApplicationSubmissionContext` | `getApplicationSubmissionContext()` Get the `ApplicationSubmissionContext` for the application.
    `static SubmitApplicationRequest` | `newInstance(ApplicationSubmissionContext context)`
    `abstract void` | `setApplicationSubmissionContext(ApplicationSubmissionContext context)` Set the `ApplicationSubmissionContext` for the application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubmitApplicationRequest

          public SubmitApplicationRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public static SubmitApplicationRequest newInstance(ApplicationSubmissionContext context)

    - #### getApplicationSubmissionContext

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract ApplicationSubmissionContext getApplicationSubmissionContext()

      Get the `ApplicationSubmissionContext` for the application.
      Returns:
        `ApplicationSubmissionContext` for the application

    - #### setApplicationSubmissionContext

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setApplicationSubmissionContext(ApplicationSubmissionContext context)

      Set the `ApplicationSubmissionContext` for the application.
      Parameters:
        `context` - `ApplicationSubmissionContext` for the application

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.